Bug de ma dev zone

a marqué ce sujet comme résolu.
Auteur du sujet

Je suis sur ma branche local dev apparemment j’ai réussi à la mettre à jour youpi

Je fais : make install-back je reçois :

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/usr/lib/python3/dist-packages/pip/commands/install.py", line 295, in run
    requirement_set.install(install_options, global_options, root=options.root_path)
  File "/usr/lib/python3/dist-packages/pip/req.py", line 1436, in install
    requirement.install(install_options, global_options, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/pip/req.py", line 672, in install
    self.move_wheel_files(self.source_dir, root=root)
  File "/usr/lib/python3/dist-packages/pip/req.py", line 902, in move_wheel_files
    pycompile=self.pycompile,
  File "/usr/lib/python3/dist-packages/pip/wheel.py", line 214, in move_wheel_files
    clobber(source, lib_dir, True)
  File "/usr/lib/python3/dist-packages/pip/wheel.py", line 176, in clobber
    os.makedirs(dest)
  File "/usr/lib/python3.4/os.py", line 237, in makedirs
    mkdir(name, mode)
PermissionError: [Errno 13] Permission denied: '/usr/lib/python3.4/site-packages'

Storing debug log for failure in /home/a312/.pip/pip.log
Makefile:42: recipe for target 'install-back' failed
make: *** [install-back] Error 2

J’essaye de faire make install car je n’arrive pas à lancer mon espace de dev :

$ zdsenvstart
zmd is running
python manage.py runserver
Traceback (most recent call last):
  File "manage.py", line 45, in <module>
    from django.core.management import execute_from_command_line
ImportError: No module named django.core.management
Makefile:51: recipe for target 'run-back' failed
make: *** [run-back] Error 1

Je n’arrive même plus à aller sur mon espace virtuel :

(dev)$ zdsenv
bash: zdsenv/bin/activate: Aucun fichier ou dossier de ce type

Mes alias :

alias zdsenv="cd ~/zds/zds-site && source zdsenv/bin/activate"
alias zdsenvquit="deactivate"
alias zdsenvstart="cd ~/zds/zds-site && make run-back"

Édité par A-312

✈️ // 🐺 Ami des loups // 🎮 Coding Game // 🐤 Twitter @A312_zds // :B // L’hiver vient // @**A-312** pour me ping

+0 -0
Auteur du sujet

J’ai finis par faire un install-debian en modifiant un peu le makefile. Et tout mettre à jour. Lancer make install-back dans mon zdsenv n’était peut-être pas une bonne idée non plus.

Par contre je n’aime pas :

$ zdsenv
Found '/home/a312/zds/zds-site/.nvmrc' with version <10.8.0>
Now using node v10.8.0 (npm v6.2.0)

J’suis obligé d’avoir le message à chaque fois ? C’est nouveau. :scared:


Encore une erreur :

(dev)$ make run-back
zmd is running
python manage.py runserver
Traceback (most recent call last):
  File "manage.py", line 45, in <module>
    from django.core.management import execute_from_command_line
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 13, in <module>
    from django.core.management.base import (
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/base.py", line 17, in <module>
    from django.db.migrations.exceptions import MigrationSchemaMissing
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/migrations/__init__.py", line 2, in <module>
    from .operations import *  # NOQA
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/migrations/operations/__init__.py", line 1, in <module>
    from .fields import AddField, AlterField, RemoveField, RenameField
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/migrations/operations/fields.py", line 4, in <module>
    from django.db.models.fields import NOT_PROVIDED
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/models/__init__.py", line 3, in <module>
    from django.db.models.aggregates import *  # NOQA
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/models/aggregates.py", line 5, in <module>
    from django.db.models.expressions import Func, Star
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/models/expressions.py", line 5, in <module>
    from django.db.backends import utils as backend_utils
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/db/backends/utils.py", line 11, in <module>
    from django.utils.timezone import utc
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/utils/timezone.py", line 8, in <module>
    import pytz
ImportError: No module named 'pytz'
Makefile:51: recipe for target 'run-back' failed
make: *** [run-back] Error 1

EDIT - ENCORE UNE :

./scripts/install_zds.sh +base -packages debian

running build_ext

building 'lxml.etree' extension

creating build/temp.linux-x86_64-3.4

creating build/temp.linux-x86_64-3.4/src

creating build/temp.linux-x86_64-3.4/src/lxml

x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIC -DCYTHON_CLINE_IN_TRACEBACK=0 -I/usr/include/libxml2 -Isrc -Isrc/lxml/includes -I/home/a312/zds/zds-site/zdsenv/include -I/usr/include/python3.4m -c src/lxml/etree.c -o build/temp.linux-x86_64-3.4/src/lxml/etree.o -w

x86_64-linux-gnu-gcc: internal compiler error: Processus arrêté (program cc1)

Please submit a full bug report,

with preprocessed source if appropriate.

See <file:///usr/share/doc/gcc-4.9/README.Bugs> for instructions.

Compile failed: command 'x86_64-linux-gnu-gcc' failed with exit status 4

creating tmp

cc -I/usr/include/libxml2 -I/usr/include/libxml2 -c /tmp/xmlXPathInitwoul5noe.c -o tmp/xmlXPathInitwoul5noe.o

cc tmp/xmlXPathInitwoul5noe.o -lxml2 -o a.out

error: command 'x86_64-linux-gnu-gcc' failed with exit status 4

----------------------------------------
Cleaning up...
Command /home/a312/zds/zds-site/zdsenv/bin/python3 -c "import setuptools, tokenize;__file__='/tmp/pip-build-86l_tf06/lxml/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-3qlnzlb7-record/install-record.txt --single-version-externally-managed --compile --install-headers /home/a312/zds/zds-site/zdsenv/include/site/python3.4 failed with error code 1 in /tmp/pip-build-86l_tf06/lxml
Storing debug log for failure in /home/a312/.pip/pip.log
Makefile:42: recipe for target 'install-back' failed
make: *** [install-back] Error 1

Édité par A-312

✈️ // 🐺 Ami des loups // 🎮 Coding Game // 🐤 Twitter @A312_zds // :B // L’hiver vient // @**A-312** pour me ping

+0 -0
Auteur du sujet

OK sudo apt-get install python-dev https://stackoverflow.com/questions/26053982/setup-script-exited-with-error-command-x86–64-linux-gnu-gcc-failed-with-exit

Une erreur de moins. Je progresse par erreur COOL.

    warning: no previously-included files found matching 'ci/appveyor.token'
    no previously-included directories found matching 'doc/_build'
    no previously-included directories found matching 'tests/eggsrc/build'
    no previously-included directories found matching 'tests/eggsrc/dist'
    no previously-included directories found matching 'tests/eggsrc/*.egg-info'
    warning: no previously-included files matching '*.py[co]' found anywhere in distribution
    Installing coverage3 script to /home/a312/zds/zds-site/zdsenv/bin
    Installing coverage-3.4 script to /home/a312/zds/zds-site/zdsenv/bin
    Installing coverage script to /home/a312/zds/zds-site/zdsenv/bin
  Running setup.py install for PyYAML
    checking if libyaml is compilable
    x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIC -I/home/a312/zds/zds-site/zdsenv/include -I/usr/include/python3.4m -c build/temp.linux-x86_64-3.4/check_libyaml.c -o build/temp.linux-x86_64-3.4/check_libyaml.o
    build/temp.linux-x86_64-3.4/check_libyaml.c:2:18: fatal error: yaml.h: Aucun fichier ou dossier de ce type
     #include <yaml.h>
                      ^
    compilation terminated.

    libyaml is not found or a compiler error: forcing --without-libyaml
    (if libyaml is installed correctly, you may need to
     specify the option --include-dirs or uncomment and
     modify the parameter include_dirs in setup.cfg)

  Running setup.py install for flake8-quotes

  Running setup.py install for autopep8

    warning: no files found matching 'test/example'
    warning: no files found matching 'test/example/x.py'
    warning: no previously-included files matching '*.py' found under directory 'test/suite'
    warning: no previously-included files matching '*.py' found under directory 'test/suite/out'
    warning: no previously-included files found matching '.travis.yml'
    warning: no previously-included files found matching 'CONTRIBUTING.rst'
    warning: no previously-included files found matching 'Makefile'
    warning: no previously-included files found matching 'coveralls.bash'
    warning: no previously-included files found matching 'hooks'
    warning: no previously-included files found matching 'hooks/pre-push'
    warning: no previously-included files found matching 'install_hooks.bash'
    warning: no previously-included files found matching 'test/.gitignore'
    warning: no previously-included files found matching 'test/acid.py'
    warning: no previously-included files found matching 'test/acid_pypi.py'
    warning: no previously-included files found matching 'test/suite'
    warning: no previously-included files found matching 'test/suite/out'
    warning: no previously-included files found matching 'test/vim_autopep8.py'
    warning: no previously-included files found matching 'tox.ini'
    warning: no previously-included files found matching 'update_readme.py'
    Installing autopep8 script to /home/a312/zds/zds-site/zdsenv/bin
  Running setup.py install for httplib2

  Running setup.py install for simplejson
    building 'simplejson._speedups' extension
    x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIC -I/home/a312/zds/zds-site/zdsenv/include -I/usr/include/python3.4m -c simplejson/_speedups.c -o build/temp.linux-x86_64-3.4/simplejson/_speedups.o
    x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,relro -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 build/temp.linux-x86_64-3.4/simplejson/_speedups.o -o build/lib.linux-x86_64-3.4/simplejson/_speedups.cpython-34m.so
    /usr/lib/python3.4/distutils/dist.py:260: UserWarning: Unknown distribution option: 'python_requires'
      warnings.warn(msg)

  Running setup.py install for openapi-codec

    warning: no previously-included files matching '__pycache__' found anywhere in distribution
    warning: no previously-included files matching '*.pyc' found anywhere in distribution
    warning: no previously-included files matching '*.pyo' found anywhere in distribution
  Running setup.py install for pathtools

  Found existing installation: setuptools 5.5.1
    Uninstalling setuptools:
      Successfully uninstalled setuptools
*** Error compiling '/tmp/pip-build-ne5hqrsx/Jinja2/jinja2/asyncfilters.py'...
  File "/tmp/pip-build-ne5hqrsx/Jinja2/jinja2/asyncfilters.py", line 7
    async def auto_to_seq(value):
            ^
SyntaxError: invalid syntax

*** Error compiling '/tmp/pip-build-ne5hqrsx/Jinja2/jinja2/asyncsupport.py'...
  File "/tmp/pip-build-ne5hqrsx/Jinja2/jinja2/asyncsupport.py", line 22
    async def concat_async(async_gen):
            ^
SyntaxError: invalid syntax

  Running setup.py install for itypes
  Could not find .egg-info directory in install record for itypes (from coreapi>=2.3.0->django-rest-swagger==2.1.2->-r requirements.txt (line 31))
  Running setup.py install for coreschema
  Could not find .egg-info directory in install record for coreschema (from coreapi>=2.3.0->django-rest-swagger==2.1.2->-r requirements.txt (line 31))
  Running setup.py install for MarkupSafe
    no previously-included directories found matching 'docs/_build'
    warning: no previously-included files matching '*.py[co]' found anywhere in distribution
    building 'markupsafe._speedups' extension
    x86_64-linux-gnu-gcc -pthread -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 -fPIC -I/home/a312/zds/zds-site/zdsenv/include -I/usr/include/python3.4m -c src/markupsafe/_speedups.c -o build/temp.linux-x86_64-3.4/src/markupsafe/_speedups.o
    x86_64-linux-gnu-gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,relro -g -fstack-protector-strong -Wformat -Werror=format-security -D_FORTIFY_SOURCE=2 build/temp.linux-x86_64-3.4/src/markupsafe/_speedups.o -o build/lib.linux-x86_64-3.4/markupsafe/_speedups.cpython-34m.so
  Could not find .egg-info directory in install record for MarkupSafe>=0.23 (from Jinja2>=2.3->sphinx==1.7.2->-r requirements-dev.txt (line 9))
Successfully installed lxml factory-boy pygeoip pillow gitpython easy-thumbnails beautifulsoup4 django-recaptcha google-api-python-client toml requests djangorestframework djangorestframework-xml django-filter django-oauth-toolkit drf-extensions django-rest-swagger django-cors-middleware dry-rest-permissions oauth2client watchdog django-uuslug python-slugify coverage PyYAML django-debug-toolbar flake8 flake8-quotes autopep8 sphinx selenium sphinx-rtd-theme faker mock colorlog gitdb2 google-auth-httplib2 httplib2 google-auth uritemplate six chardet idna urllib3 certifi defusedxml oauthlib simplejson coreapi openapi-codec pyasn1-modules pyasn1 rsa argh pathtools Unidecode mccabe pyflakes pycodestyle setuptools sphinxcontrib-websupport Jinja2 snowballstemmer typing Pygments docutils alabaster imagesize packaging babel python-dateutil text-unidecode pbr smmap2 cachetools itypes coreschema MarkupSafe pyparsing pytz
Cleaning up...
python manage.py migrate
Traceback (most recent call last):
  File "manage.py", line 47, in <module>
    execute_from_command_line(sys.argv)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 338, in execute
    django.setup()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/apps/registry.py", line 108, in populate
    app_config.import_models()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/apps/config.py", line 202, in import_models
    self.models_module = import_module(models_module_name)
  File "/usr/lib/python3.4/importlib/__init__.py", line 109, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
  File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 1129, in _exec
  File "<frozen importlib._bootstrap>", line 1471, in exec_module
  File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/social/apps/django_app/default/models.py", line 9, in <module>
    from social.storage.django_orm import DjangoUserMixin, \
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/social/storage/django_orm.py", line 8, in <module>
    from social.storage.base import UserMixin, AssociationMixin, NonceMixin, \
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/social/storage/base.py", line 12, in <module>
    from openid.association import Association as OpenIdAssociation
ImportError: No module named 'openid'
Makefile:23: recipe for target 'migrate' failed
make: *** [migrate] Error 1
* [+front] install front dependencies & build front
yarn

OK sudo apt-get install python-yaml https://stackoverflow.com/questions/14261614/how-do-i-install-the-yaml-package-for-python

Nouvelle erreur :

Downloading/unpacking pycodestyle>=2.3 from https://files.pythonhosted.org/packages/e5/c6/ce130213489969aa58610042dff1d908c25c731c9575af6935c2dfad03aa/pycodestyle-2.4.0-py2.py3-none-any.whl#sha256=cbc619d09254895b0d12c2c691e237b2e91e9b2ecf5e84c26b35400f93dcfb83 (from autopep8==1.3.5->-r requirements-dev.txt (line 8))
  Downloading pycodestyle-2.4.0-py2.py3-none-any.whl (62kB): 62kB downloaded
Installing collected packages: pycodestyle
  Found existing installation: pycodestyle 2.3.1
    Uninstalling pycodestyle:
      Successfully uninstalled pycodestyle
Successfully installed pycodestyle
Cleaning up...
python manage.py migrate
Traceback (most recent call last):
  File "manage.py", line 47, in <module>
    execute_from_command_line(sys.argv)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 338, in execute
    django.setup()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/apps/registry.py", line 108, in populate
    app_config.import_models()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/apps/config.py", line 202, in import_models
    self.models_module = import_module(models_module_name)
  File "/usr/lib/python3.4/importlib/__init__.py", line 109, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
  File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 1129, in _exec
  File "<frozen importlib._bootstrap>", line 1471, in exec_module
  File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/social/apps/django_app/default/models.py", line 9, in <module>
    from social.storage.django_orm import DjangoUserMixin, \
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/social/storage/django_orm.py", line 8, in <module>
    from social.storage.base import UserMixin, AssociationMixin, NonceMixin, \
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/social/storage/base.py", line 12, in <module>
    from openid.association import Association as OpenIdAssociation
ImportError: No module named 'openid'
Makefile:23: recipe for target 'migrate' failed
make: *** [migrate] Error 1
* [+front] install front dependencies & build front
yarn

pip install --ignore-installed python-social-auth + pip3 install --upgrade -r requirements-dev.txt (=install-back)

Suivante :

(dev)$ python manage.py migrate
Traceback (most recent call last):
  File "manage.py", line 47, in <module>
    execute_from_command_line(sys.argv)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/core/management/__init__.py", line 338, in execute
    django.setup()
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/apps/registry.py", line 85, in populate
    app_config = AppConfig.create(entry)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/django/apps/config.py", line 94, in create
    module = import_module(entry)
  File "/usr/lib/python3.4/importlib/__init__.py", line 109, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
  File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
  File "<frozen importlib._bootstrap>", line 2226, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 1200, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 1129, in _exec
  File "<frozen importlib._bootstrap>", line 1471, in exec_module
  File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/oauth2_provider/__init__.py", line 4, in <module>
    __version__ = pkg_resources.require("django-oauth-toolkit")[0].version
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/pkg_resources/__init__.py", line 898, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (urllib3 1.24.1 (/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages), Requirement.parse('urllib3<1.24,>=1.21.1'), {'requests'})

Édité par A-312

✈️ // 🐺 Ami des loups // 🎮 Coding Game // 🐤 Twitter @A312_zds // :B // L’hiver vient // @**A-312** pour me ping

+0 -0
Auteur du sujet

MERCI AMAZON!!!!!!!!!! pip install urllib3==1.22 --upgrade ( https://github.com/aws/aws-cli/issues/3535 -> https://forums.aws.amazon.com/thread.jspa?threadID=289084 )


$ zdsenvstart
Use `make zmd-start` to start zmarkdown server
python manage.py runserver
Performing system checks...

System check identified no issues (0 silenced).
December 08, 2018 - 03:38:27
Django version 1.11.15, using settings 'zds.settings.dev'
Starting development server at http://127.0.0.1:8000/
Quit the server with CONTROL-C.

Tout est contre moi quand je valide n’importe quel formulaire. !!! :(

ConnectionError at /forums/message/nouveau/

HTTPConnectionPool(host='127.0.0.1', port=666666): Max retries exceeded with url: /html (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fc3c72a5f28>: Failed to establish a new connection: [Errno 111] Connection refused',))

Request Method:     POST
Request URL:    http://localhost:8000/forums/message/nouveau/?sujet=3

Problème avec zmd ?

Traceback (most recent call last):
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/urllib3/connection.py", line 141, in _new_conn
    (self.host, self.port), self.timeout, **extra_kw)
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/urllib3/util/connection.py", line 83, in create_connection
    raise err
  File "/home/a312/zds/zds-site/zdsenv/lib/python3.4/site-packages/urllib3/util/connection.py", line 73, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Ajouter une erreur claire que Zmd n’est pas allumé ou injoignable. xD


$ zdsenv
Found '/home/a312/zds/zds-site/.nvmrc' with version <10.8.0>
Now using node v10.8.0 (npm v6.2.0)

Suis je obligé d’avoir ce message à chaque ouverture de l’environnement ?

Édité par A-312

✈️ // 🐺 Ami des loups // 🎮 Coding Game // 🐤 Twitter @A312_zds // :B // L’hiver vient // @**A-312** pour me ping

+0 -0

Cette réponse a aidé l’auteur du sujet

En fait j’ai l’impression que depuis le début c’est ton environnement Python zdsenv qui ne fonctionne pas bien. C’est en tous cas l’impression que donne :

ImportError: No module named django.core.management

Ajouter une erreur claire que Zmd n’est pas allumé ou injoignable. xD

Il y a déjà Use 'make zmd-start' to start zmarkdown server mais peut-être qu’il faut rendre ça plus explicite.

Suis je obligé d’avoir ce message à chaque ouverture de l’environnement ?

C’est ce que fait la commande nvm use qui est à la fin du zdsenv/bin/activate. Si ça te déranges vraiment tu peux remplacer nvm use par nvm use > /dev/null :)

Édité par Situphen

+1 -0
Auteur du sujet

En fait j’ai l’impression que depuis le début c’est ton environnement Python zdsenv qui ne fonctionne pas bien. C’est en tous cas l’impression que donne :

Situphen

Je crois qu’au début j’ai fais planter mon install et ça a corrompu quelques choses et puis après impossible de retourner sur mon environnement. Faire la commande équivalent à install-debian avait corrigé le problème, il me semble mais avec une nouvelle erreur.

C’est ce que fait la commande nvm use qui est à la fin du zdsenv/bin/activate. Si ça te déranges vraiment tu peux remplacer nvm use par nvm use > /dev/null :)

C’est utile d’avoir rajouté cette commande ? Je veux dire est-ce utile d’avoir "nvm use" ?

—> Je viens de voir que c’est pour mettre automatiquement la version à jour avec /zds/zds-site/.nvmrc.

EDIT: nvm use >/dev/null laisse passer les erreurs je viens de demander à nvm de mettre la version "1000000000.8.0". Donc tout est parfait pour moi

Merci :)

Édité par A-312

✈️ // 🐺 Ami des loups // 🎮 Coding Game // 🐤 Twitter @A312_zds // :B // L’hiver vient // @**A-312** pour me ping

+0 -0
Vous devez être connecté pour pouvoir poster un message.
Connexion

Pas encore inscrit ?

Créez un compte en une minute pour profiter pleinement de toutes les fonctionnalités de Zeste de Savoir. Ici, tout est gratuit et sans publicité.
Créer un compte